Page MenuHomePhabricator

Make gwtoolsetUploadMediafileJob JSON-serializable
Closed, ResolvedPublic

Description

The gwtoolsetUploadMediafileJob contains non-scalar value in it's parameters, the partner-template-name property is an instance of Title , thus it's serialization relies on the redis-base JobQueue ability to use PHP serialization.

The kafka-based queue deliberately doesn't support PHP serialization and requires all the jobs to be JSON-serializable per T161647, so the gwtoolsetUploadMediafileJob job should be changed and made JSON-serializable.

Event Timeline

Pchelolo triaged this task as Normal priority.Apr 24 2018, 5:50 PM
Pchelolo created this task.
Restricted Application added a project: Commons. · View Herald TranscriptApr 24 2018, 6:30 PM
fdans raised the priority of this task from Normal to Needs Triage.Apr 26 2018, 4:32 PM
fdans moved this task from Incoming to Radar on the Analytics board.
Milimetric triaged this task as Normal priority.Apr 30 2018, 4:49 PM
Milimetric added a subscriber: Milimetric.

sorry - reverting accidental change of priority

Ramsey-WMF added subscribers: MaxSem, Ramsey-WMF.

Assigning to Matthias, who can ping @MaxSem for assistance and review :)

Change 437255 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/GWToolset@master] Stop including partner-template-name in job params

https://gerrit.wikimedia.org/r/437255

Change 437255 merged by jenkins-bot:
[mediawiki/extensions/GWToolset@master] Stop including partner-template-name in job params

https://gerrit.wikimedia.org/r/437255

Pchelolo closed this task as Resolved.Jun 12 2018, 10:20 AM

Thank you, logs indicate the job's being serialized properly now.

Vvjjkkii renamed this task from Make gwtoolsetUploadMediafileJob JSON-serializable to pbeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed matthiasmullie as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: matthiasmullie; removed: gerritbot, Aklapper.
Mainframe98 renamed this task from pbeaaaaaaa to Make gwtoolsetUploadMediafileJob JSON-serializable.Jul 1 2018, 8:01 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to matthiasmullie.
Mainframe98 lowered the priority of this task from High to Normal.
Mainframe98 edited subscribers, added: gerritbot, Aklapper; removed: matthiasmullie.